EPS2PNG(1)

NAME
epf2png - convert EPS files to PNG, JPG or GIF images

SYNOPSIS

    eps2png [ options ] files ...
    eps2gif [ options ] files ...
    eps2jpg [ options ] files ...

DESCRIPTION
Converts files from EPS format (Encapsulated PostScript) to some popular image formats.

If installed as eps2png (the default), it produces PNG images by default. Likewise, eps2gif defaults to GIF images and eps2jpg defaults to JPG. Note that the normal installation procedure will only install eps2png.

It uses GhostScript to produce the images. Since modern GhostScript programs do not support GIF anymore, GIF images are produced via the Portable PixMap converters (PBM-package). In this case, a temporary file is created, named after the output file, with the extension replaced by ".ppm". It is deleted upon completion.

ARGUMENTS

    -png -pngmono -pnggray -png16 -png256 -png16m
                        produce PNG image
    -jpg -jpggray -jpeg -jpeggray
                        produce JPG image
    -gif -gifmono       produce GIF image
    -[no]mono           monochrome/colour rendition
    -res XXX            resolution (default = 82)
    -scale XXX          scaling factor
    -[no]pbm            GIF only: [do not] convert via pbm format
    -output XXX         output to this file (only one input file)
    -help               this message
    -ident              show identification
    -verbose            verbose information

AUTHOR
Johan Vromans, <jvromans@squirrel.nl>.

BUGS
GhostScript and, if required, the PBM package, need to be installed and accessible through the user's PATH.

GhostScript is assumed to be capable of handling all the image types listed above.

COPYRIGHT AND DISCLAIMER
This program is Copyright 1994,2000 by Johan Vromans. This program is free software; you can redistribute it and/or modify it under the terms of the Perl Artistic License or the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

If you do not have a copy of the GNU General Public License write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.